Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.misc.io.base.design2labels

`mvpa2.misc.io.base.``design2labels`(columndata, baseline_label=0, func=<function <lambda> at 0xf54e5a4>)

  Helper to convert design matrix into a list of labels

  Given a design, assign a single label to any given sample

  TODO: fix description/naming

  Parameters:

  columndata : ColumnData

  > Attributes where each known will be considered as a separate explanatory variable (EV) in the design.

  baseline_label :

  > What label to assign for samples where none of EVs was given a value

  func : functor

  > Function which decides either a value should be considered

  Returns: | list of labels which are taken from column names in ColumnData and : baseline_label :

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »